<?php

namespace WPDesk\DropshippingExportFree\Config;

use DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\Config\ActionConfig as ActionConfigCore;
use WPDesk\DropshippingExportFree\Action\Loader\Plugin\PluginLinksLoaderAction;
use WPDesk\DropshippingExportFree\Action\Loader\Assets\PluginAssetsLoaderAction;

class ActionConfig extends ActionConfigCore {

	public function get(): array {
		$actions = parent::get();

		$actions = \array_merge(
			[
				PluginLinksLoaderAction::class,
				PluginAssetsLoaderAction::class,
			],
			$actions
		);

		return $actions;
	}
}
